> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Group

> Create a new group



## OpenAPI

````yaml POST /api/v1/groups
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups:
    post:
      tags:
        - Group Configuration
      summary: Create a new Group
      description: Create a new group.
      operationId: createGroup
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupCreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              example:
                created: 1557512389
                dba_name: Test Corp
                federal_ein: '112222222'
                id: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
                modified: 1557512389
                name: Test Company
                organization_id: d61fa455-adf4-4dc4-8c57-6d779ba9475e
                sic_code: '7371'
                version: 6b72d72d-cc99-4df6-8152-7183e824c80c
              schema:
                $ref: '#/components/schemas/GroupResult'
          description: Successful Response - Returns the new Group
components:
  schemas:
    GroupCreateRequest:
      properties:
        dba_name:
          description: DBA name for the company, if applicable
          example: Floors R Us
          type: string
        federal_ein:
          description: Federal Employer Identification Number for the company
          example: '112222222'
          type: string
        name:
          description: Name of the group
          example: ACME Flooring
          type: string
        organization_id:
          description: Unique identifier of the platform or broker organization in Noyo
          format: uuid
          type: string
        sic_code:
          description: SIC Code of the group
          example: '5713'
          type: string
      required:
        - name
      type: object
      x-field_order: []
    GroupResult:
      properties:
        created:
          description: The date the record was created
          type: integer
        dba_name:
          description: DBA name for the company, if applicable
          example: Floors R Us
          type: string
        federal_ein:
          description: Federal Employer Identification Number for the company
          example: '112222222'
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        name:
          description: Name of the group
          example: ACME Flooring
          type: string
        organization_id:
          description: Unique identifier of the platform or broker organization in Noyo
          format: uuid
          type: string
        sic_code:
          description: SIC Code of the group
          example: '5713'
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - created
        - id
        - modified
        - name
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - organization_id
        - name
        - sic_code
        - dba_name
        - federal_ein

````